package ervu_dashboard.model.chart.round;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import component.chart.dto.SingleChartDataSetDto;

/**
 * @author Vitaly Chekushkin
 */

public class RoundChartDataSetDto extends SingleChartDataSetDto {
  public String radius;
  public String cutout;

  @JsonInclude
  public Integer borderWidth;
  @JsonInclude
  public Integer hoverOffset;

  public RoundChartDataSetDto() {
    super(null, null, null);
  }

  public RoundChartDataSetDto(String label, List<Object> data, String[] backgroundColor,
      Integer borderWidth, String radius, String cutout, Integer hoverOffset) {
    super(label, data, backgroundColor);
    this.borderWidth = borderWidth;
    this.radius = radius;
    this.cutout = cutout;
    this.hoverOffset = hoverOffset;
  }

  public String getRadius() {
    return radius;
  }

  public void setRadius(String radius) {
    this.radius = radius;
  }

  public String getCutout() {
    return cutout;
  }

  public void setCutout(String cutout) {
    this.cutout = cutout;
  }

  public Integer getBorderWidth() {
    return borderWidth;
  }

  public void setBorderWidth(Integer borderWidth) {
    this.borderWidth = borderWidth;
  }

  public Integer getHoverOffset() {
    return hoverOffset;
  }

  public void setHoverOffset(Integer hoverOffset) {
    this.hoverOffset = hoverOffset;
  }
}
